Subject: Re: about X
From: [email-masked]
To: <[email-masked]>
Cc: <[email-masked]>
Date: Sun, 29 Mar 2009 09:01:54 +0900
List-Id: <cygwin.cygwin.com>

samuel <[email-masked]> wrote:
> Hi. I have just installed xinit on my vista laptop. When I typed in 'xinit' in
> the cygwin console, I got a BIG BIG annoying X window which occupied all the
> space of my desktop and cannot be resized. When I started other programs in
> xterm, the new program just covered up the space where xterm used to be and I
> couldn't switch back to the xterm windows.
> How can I get a clean and separate xterm window? Thank you.
 
Samuel, some say this is off topic, but I find that xterm, emacs built for x11, and et al depend on X11.  I am not an expert, so can only tell you of a kludge I found that fixes the problem.  There must be an X or x something rc file that can be modified
 to give arguments, but there is a maze of them and the formats vary.  I found no direct answer on the Cygwin/X faq, but I'll cc this to the list, though I'm not a member.

Here is a simple work around I found that fixed the problem for me.

I changed line #28 in /bin/startx to include two arguments, one for the clipboard and one for multiple windows (which is what you want).  You probably also want the clipboard to work.

line 28 in "/bin/startx" changed to the below:
defaultserverargs="-clipboard -multiwindow"

Regards,
  Wynfield

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/